--- title: "Get Attack Set Profile Configuration Details at Domain Level" slug: "get-attack-set-profile-configuration-details-at-domain-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/get-attack-set-profile-configuration-details-at-domain-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Attack Set Profile Configuration Details at Domain Level This URL retrieves the attack set profile configuration details at domain level. ## Resource URL GET /domain//attacksetprofile/getallrules ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | AttackSetProfileList | List of all attack set profiles | Object | Details of attack set profiles: | Field Name | Description | Data Type | | --- | --- | --- | | policyName | Policy name | String | | domainId | Domain id | Number | | domainName | Domain name | String | | policyId | Policy id | Number | | description | Policy description | String | | lastModifiedTime | Last modified time | String | | enableRfSBExpoit | RfSB exploit configuration | Boolean | | enableRfSBMalware | RfSB malware configuration | Boolean | | enableRfSBRecon | RfSB recon configuration | Boolean | | enableRfSBPolicy | RfSB policy configuration | Boolean | | isEditable | Attack set editable configuration | Boolean | ## Example **Request** GET [https:///sdkapi/domain/0/attacksetprofile/getallrules](https://%3CNSM_IP%3E/sdkapi/domain/0/attacksetprofile/getallrules) **Response** ``` { "AttackSetProfileList": [   { "policyName": "Master Attack Repository", "domainId": 0, "domainName": "My Company", "policyId": -1, "description": "Default settings for all attack definitions", "lastModifiedTime": "2017-06-20 10:47:29", "lastModifiedUser": "admin", "enableRfSBExpoit": false, "enableRfSBMalware": false, "enableRfSBRecon": false, "enableRfSBPolicy": false, "isEditable": false, "rules": [], },   { "policyName": "Default Detection", "domainId": 0, "domainName": "My Company", "policyId": 0, "description": "The standard attack set (blocking disabled)", "lastModifiedTime": "2017-06-20 10:45:57", "lastModifiedUser": "admin", "enableRfSBExpoit": false, "enableRfSBMalware": false, "enableRfSBRecon": false, "enableRfSBPolicy": false, "isEditable": false, "rules": [], },   { "policyName": "Outside Firewall", "domainId": 0, "domainName": "My Company", "policyId": 1, "description": "Include all except for the RECONNAISSANCE category, and excluding known noisy signatures. ", "lastModifiedTime": "2017-06-20 10:46:04", "lastModifiedUser": "admin", "enableRfSBExpoit": false, "enableRfSBMalware": false, "enableRfSBRecon": false, "enableRfSBPolicy": false, "isEditable": false, "rules": [], }, ], } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |